--- /dev/null
+This is a startup script to run dtlogin upon booting a FreeBSD system.
+Author: Douglas Carmichael <dcarmich@dcarmichael.net>
+
+Instructions:
+
+Put the dtlogin script in /usr/local/etc/rc.d (owned and executable by root.)
+Add dtlogin_enable="YES" in /etc/rc.conf to enable dtlogin startup.
+
--- /dev/null
+#!/bin/sh
+# Script to start dtlogin upon system boot for FreeBSD
+# Instructions:
+# Put this script in /usr/local/etc/rc.d (owned and read/execute by root.)
+# Use dtlogin_enable="YES" in /etc/rc.conf to enable dtlogin startup.
+#
+# Author: Douglas Carmichael <dcarmich@dcarmichael.net>
+#
+# Define the services that dtlogin requires to start.
+#
+# PROVIDE: dtlogin
+# REQUIRE: DAEMON moused rpcbind hald polkitd
+
+. /etc/rc.subr
+
+name=dtlogin
+rcvar=dtlogin_enable
+
+command="/usr/dt/bin/dtlogin"
+command_args="&"
+
+dtlogin_prestart()
+{
+ if ! checkyesno dtlogin_enable ; then
+ return 0
+ fi
+ echo "Starting ${name}."
+
+}
+
+load_rc_config $name
+run_rc_command "$1"
+
+